<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, shrink-to-fit=no">
    <title>คำสั่งซื้อ Lish Member</title>
    <link rel="icon" type="image/x-icon" href="/assets/img/favicon.ico" />
    <!-- BEGIN GLOBAL MANDATORY STYLES -->
    <link href="https://fonts.googleapis.com/css?family=Sarabun:wght@100;200;400;500;600&display=swap" rel="stylesheet">
    <link href="/bootstrap/css/bootstrap.min.css" rel="stylesheet" type="text/css" />
    <link href="/assets/css/plugins.css" rel="stylesheet" type="text/css" />
    <!-- END GLOBAL MANDATORY STYLES -->

    <!--  BEGIN CUSTOM STYLE FILE  -->
    <link href="/assets/css/pages/privacy/privacy.css" rel="stylesheet" type="text/css" />
    <link href="/assets/css/scrollspyNav.css" rel="stylesheet" type="text/css" />
    <link href="/plugins/file-upload/file-upload-with-preview.min.css" rel="stylesheet" type="text/css" />
    <script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <link rel="stylesheet" href="https://earthchie.github.io/jquery.Thailand.js/jquery.Thailand.js/dist/jquery.Thailand.min.css">
    <script src="https://cdn.jsdelivr.net/npm/axios/dist/axios.min.js"></script>
    <!--  END CUSTOM STYLE FILE  -->
</head>

<body>


    <div id="headerWrapper">
        <div class="container-fluid">
            <div class="row">
                <div class="col-md-12 col-sm-12 col-12 text-center mb-5">
                    <a href="https://www.lishthailand.com/" class="navbar-brand-privacy">
                        <img src="/assets/img/90x90.jpg"
                            class="img-fluid" alt="logo">
                    </a>
                </div>
                <div class="col-md-12 col-sm-12 col-12 text-center">
                    <h2 class="main-heading">ยืนยันคำสั่งซื้อ</h2>
                </div>
            </div>
        </div>
    </div>

    <div id="privacyWrapper" class="">
        <div class="privacy-container">
            <div class="privacyContent">
                <h3 class="text-center text-success">เลขคำสั่งซื้อ : <%=code %></h3>
                <h5 class="text-center mt-2">ชื่อตัวแทน : <%=locals.data.first_name + ' ' + locals.data.last_name %> </h5>
                <h5 class="text-center mt-2">ระดับตัวแทน : <%=Product.roles_name %> </h5>
                <h5 class="text-center mt-2">เบอร์โทร : <%=locals.data.tel %> </h5>
                <h6 class="text-center mt-2">ที่อยู่จัดส่ง : ตามที่กรอกในระบบ</h6>
                <div class="privacy-content-container">

                    <div class="widget-content widget-content-area mt-4">
                        <div class="table-responsive">
                            <table class="table mb-4">
                                <thead>
                                    <tr>
                                        <th class="text-center">ลำดับ</th>
                                        <th>สินค้า</th>
                                        <th class="text-center">จำนวน</th>
                                        <th class="text-center">ราคาสินค้า</th>
                                        <th class="text-center">ยอดรวม</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td class="text-center">1
                                        </td>
                                        <td><%=Product.product_name %> </td>
                                        <td class="text-center">1</td>
                                        <td class="text-center" id="price"><%=Product.price %> ฿
                                        </td>
                                        <td class="text-center" id="sum"><%=Product.price %> ฿
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-6">
                            <h6>ค่าสินค้า</h6>
                        </div>
                        <div class="col-6">
                            <h6 class="text-right" id="price_sum">6040.00 ฿</h6>
                        </div>

                    </div>
                    <div class="row">
                        <div class="col-6">
                            <h5>รวมเป็นเงิน</h5>
                        </div>
                        <div class="col-6">
                            <h5 class="text-right text-danger" id="cal_sum">6040.00 ฿</h5>
                        </div>
                    </div>


                </div>
                <h4 class="mt-2 text-success">การชำระเงิน : โอนเงิน</h4>
                <hr />
                <div>
                    <div style="background-color: #532882; height:180px;color:white;">
                        <center>
                            <img src="https://pbs.twimg.com/profile_images/924662185929752576/9cRHWYxV_400x400.jpg"
                                style="width: 100px;height:100px;">
                            <h3 style="color:white;">014-287014-1</h3>
                            <h6 style="color:white;">ชื่อบัญชี : บจก. แอบโซลูท เวล บีอิง กรุ๊ป</h6>
                        </center>
                    </div>
                    <div style="background-color: #008941; height:180px; color:white;">
                        <center>
                            <img src="https://i.pinimg.com/474x/00/24/29/002429e4b28532ce5273cafa10be61c2.jpg"
                                style="width: 100px;height:100px;">
                            <h3 style="color:white;">075-3-70933-9</h3>
                            <h6 style="color:white;">ชื่อบัญชี : บจก. แอบโซลูท เวล บีอิง กรุ๊ป</h6>
                        </center>
                    </div>
                </div>
                <br>
                <div id="fuSingleFile" class="col-lg-12 layout-spacing">
                    <div class="statbox widget box box-shadow">
                        <div class="widget-content widget-content-area">
                            <div class="custom-file-container" data-upload-id="myFirstImage">
                                <label>อัพโหลดสลิป <a href="javascript:void(0)"
                                        class="custom-file-container__image-clear" title="Clear Image">x</a></label>
                                <label class="custom-file-container__custom-file">
                                    <input type="file" class="custom-file-container__custom-file__custom-file-input"
                                        accept="image/*" name="file1">
                                    <input type="hidden" name="MAX_FILE_SIZE" value="10485760" />
                                    <span class="custom-file-container__custom-file__custom-file-control"></span>
                                </label>
                                <div class="custom-file-container__image-preview"></div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="text-center">
                    <button class="btn btn-success mt-3 mb-4 text-center" onclick="send_data('<%=code %>')">ยืนยัน</button>
                </div>
            </div>
        </div>
    </div>



    <!-- BEGIN GLOBAL MANDATORY SCRIPTS -->
    <script src="/assets/js/libs/jquery-3.1.1.min.js"></script>
    <script src="/bootstrap/js/popper.min.js"></script>
    <script src="/bootstrap/js/bootstrap.min.js"></script>
    <script src="/plugins/perfect-scrollbar/perfect-scrollbar.min.js"></script>
    <script src="/plugins/blockui/jquery.blockUI.min.js"></script>
    <script src="/assets/js/app.js"></script>


    <script>
        $(document).ready(function () {
            let Product = '<%=Product.price %>'
            $('#price_sum').text(Product + ' ฿')
            $('#sum').text(Product + ' ฿')
            $('#cal_sum').text(Product + ' ฿')
            App.init();
        });


        function send_data(code){
            if($('input[type=file]')[0].files.length == 0 ){check = false;Swal.fire('กรุณากรอกอัพโหลดรูปสลิป','','warning')}
            else{
                let file = $('input[type=file]')[0].files
                let form_data = new FormData()
                form_data.append('code',code)
                form_data.append('username','<%=locals.username %>')
                form_data.append('shop_code','<%=locals.shop %>')
                form_data.append('file1',file[0])
                console.log(Object.fromEntries(form_data))
                $.ajax({
                    url: '/product/insert_order',
                    data: form_data,
                    processData: false,
                    contentType: false,
                    type: 'POST',
                    success: function (data) {
                        if(data.Message == 'Success'){
                            Swal.fire('สั่งซื้อสำเร็จ','','success').then(()=>{
                                window.location = '/product/linkLish/Thank'
                            })
                        }else{
                            Swal.fire('สั่งซื้อไม่สำเร็จ','','error').then(()=>{
                                
                            })
                        }
                    },
                    error: function(error) {
                        console.log('Error: ' + error);
                    }
                });
            }
        }
    </script>
    <script src="/plugins/highlight/highlight.pack.js"></script>
    <script src="/assets/js/custom.js"></script>

    <!-- END GLOBAL MANDATORY SCRIPTS -->

    <!-- BEGIN PAGE LEVEL PLUGINS -->
    <script src="/assets/js/scrollspyNav.js"></script>
    <script src="/plugins/file-upload/file-upload-with-preview.min.js"></script>

    <script>
        //First upload
        var firstUpload = new FileUploadWithPreview('myFirstImage')
        //Second upload
        var secondUpload = new FileUploadWithPreview('mySecondImage')
    </script>
    <!-- END PAGE LEVEL PLUGINS -->
    <script>
        // Scroll To Top
        $(document).on('click', '.arrow', function (event) {
            event.preventDefault();
            var body = $("html, body");
            body.stop().animate({ scrollTop: 0 }, 500, 'swing');
        });
    </script>

</body>

</html>